{
"code": 401,
"message": "unauthenticated for Invalid API key"
}
{
"code": "500",
"detail": "An unexpected error occurred on the server. Please try again later or contact support if the problem persists.",
"id": "internal_server_error",
"title": "Internal Server Error"
}
{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}
Library
List Library Folder Structure
Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.
GET
/
library
/
folders
List Library Folder Structure
curl --request GET \
--url https://api.attention.tech/v2/library/folders \
--header 'Authorization: <api-key>'
{
"code": 401,
"message": "unauthenticated for Invalid API key"
}
{
"code": "500",
"detail": "An unexpected error occurred on the server. Please try again later or contact support if the problem persists.",
"id": "internal_server_error",
"title": "Internal Server Error"
}
{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}
UUID of the folder to fetch subfolders from. If not provided, returns root folder structure. When provided, returns only direct subfolders of the specified folder.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Attention Docs","colors":{"primary":"#4D32D3","light":"#6C58D1","dark":"#4D32D3"},"logo":{"light":"https://mintcdn.com/attentiontech/OKslMpjkB8v2VL99/logo/lightdupe.svg?fit=max\u0026auto=format\u0026n=OKslMpjkB8v2VL99\u0026q=85\u0026s=dd02d2ebdcb53fdfbddf19abdb741c14","dark":"https://mintcdn.com/attentiontech/OKslMpjkB8v2VL99/logo/darkdupe.svg?fit=max\u0026auto=format\u0026n=OKslMpjkB8v2VL99\u0026q=85\u0026s=5a6bfc6d8ef6b88aef97d56387f33d8e"},"favicon":"https://mintcdn.com/attentiontech/OKslMpjkB8v2VL99/logo/LogoIcon.svg?fit=max\u0026auto=format\u0026n=OKslMpjkB8v2VL99\u0026q=85\u0026s=9b760f3662cf396de0154754d7dce2ed","navbar":{"links":[{"href":"mailto:support@attention.com","label":"Support"}],"primary":{"type":"button","label":"Log In","href":"https://app.attention.tech"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/attentiontech"}},"seo":{"indexing":"navigable"},"integrations":{"posthog":{"apiKey":"phc_XuvFsZ0Dw9Q2BHKsX8j1pcGrEmmoSo9c0kaHsYuOVvq"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"attentiontech","hasAudioNarration":false,"actualSubdomain":"attentiontech","customDomains":["docs.attention.com"],"gitSource":{"type":"github","owner":"attentiontech","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aebb32ca6489b311054ba01","collectionId":"6cf32db8-5b7a-4757-a8ba-b32e46604dd8","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aebb32ca6489b311054ba01"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee26334042a66be828f2f4","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":99},{"language":"default","tag":"Documentation","count":76},{"language":"default","tag":"Model Context Protocol (MCP)","count":21},{"language":"default","tag":"Core Features","count":20},{"language":"default","tag":"Workspace Setup","count":20},{"language":"default","tag":"Tools Reference","count":18},{"language":"default","tag":"Conversation","count":17},{"language":"default","tag":"Super Agent","count":12},{"language":"default","tag":"Scim","count":11},{"language":"default","tag":"Scorecard","count":11}]},"assistantConfig":{"deflection":{"enabled":true,"email":"support@attention.tech"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/library/list-library-folder-structure","slug":"/api-reference/library/list-library-folder-structure","pageMetadata":{"title":"List Library Folder Structure","description":"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /library/folders","href":"/api-reference/library/list-library-folder-structure","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Library Folder Structure","description":"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /library/folders","href":"/api-reference/library/list-library-folder-structure","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Library"],"summary":"List Library Folder Structure","description":"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.","operationId":"listLibraryFolders","parameters":["fb44b4a7-dfe0-42dd-ac76-b77101373b91","bfcda15a-211d-41fc-b63d-846f4fede50a","ed52482c-5460-4a15-a62c-59477d88aae6","3eeae4ed-e03c-4f73-9236-15f9db52220b"],"responses":{"200":"7075c200-dfb2-4c27-812f-175968583ab2","401":"5ab7d099-d1e5-4e6a-bace-ff9d85db9253","500":"5342fbab-04a6-4ada-bbcf-63afe9f86143","default":"61442a9d-6f87-4fc5-b079-e6f5e1dd90f7"},"method":"get","type":"path","servers":["5c5cbd89-b89b-4d8b-8308-cb8c62190edd"],"security":["298d9b3f-c899-4449-aef6-deddb31bc737"],"path":"/library/folders","baseUrlOptions":["https://api.attention.tech/v2"],"title":"List Library Folder Structure","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"fb44b4a7-dfe0-42dd-ac76-b77101373b91":{"name":"userUUID","in":"query","description":"UUID of the user. Required to fetch folder structure.","required":true,"schema":{"type":"string","isRequired":true,"description":"UUID of the user. Required to fetch folder structure.","uniqueKey":"","typeLabel":"string"}},"bfcda15a-211d-41fc-b63d-846f4fede50a":{"name":"folderUUID","in":"query","description":"UUID of the folder to fetch subfolders from. If not provided, returns root folder structure. When provided, returns only direct subfolders of the specified folder.","schema":{"type":"string","description":"UUID of the folder to fetch subfolders from. If not provided, returns root folder structure. When provided, returns only direct subfolders of the specified folder.","uniqueKey":"","typeLabel":"string"}},"ed52482c-5460-4a15-a62c-59477d88aae6":{"name":"myLibrary","in":"query","description":"If true, returns only the user's personal library folders. If false, returns organization-level library folders.","schema":{"type":"boolean","default":false,"description":"If true, returns only the user's personal library folders. If false, returns organization-level library folders.","uniqueKey":"","typeLabel":"boolean"}},"3eeae4ed-e03c-4f73-9236-15f9db52220b":{"name":"includeHidden","in":"query","description":"If true, includes hidden folders in the response. Default is false.","schema":{"type":"boolean","default":false,"description":"If true, includes hidden folders in the response. Default is false.","uniqueKey":"","typeLabel":"boolean"}}},"responses":{"7075c200-dfb2-4c27-812f-175968583ab2":{"description":"Folder structure successfully retrieved","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"uuid":{"type":"string","description":"Unique identifier of the folder","uniqueKey":"data.uuid","typeLabel":"string"},"name":{"type":"string","description":"Name of the folder","uniqueKey":"data.name","typeLabel":"string"},"path":{"type":"string","description":"Full path to the folder from root","uniqueKey":"data.path","typeLabel":"string"},"parentUUID":{"type":"string","description":"UUID of the parent folder, empty if root","uniqueKey":"data.parentUUID","typeLabel":"string"},"hidden":{"type":"boolean","description":"Whether the folder is hidden","uniqueKey":"data.hidden","typeLabel":"boolean"},"userUUID":{"type":"string","description":"UUID of the user who owns this folder (for personal library folders)","uniqueKey":"data.userUUID","typeLabel":"string"},"organizationUUID":{"type":"string","description":"UUID of the organization this folder belongs to","uniqueKey":"data.organizationUUID","typeLabel":"string"},"subFolders":{"type":"array","description":"List of immediate subfolders","items":{"type":"object","properties":{"uuid":{"type":"string","description":"Unique identifier of the subfolder","uniqueKey":"data.subFolders.items.[INDEX].uuid","typeLabel":"string"},"name":{"type":"string","description":"Name of the subfolder","uniqueKey":"data.subFolders.items.[INDEX].name","typeLabel":"string"},"parentUUID":{"type":"string","description":"UUID of the parent folder","uniqueKey":"data.subFolders.items.[INDEX].parentUUID","typeLabel":"string"},"hidden":{"type":"boolean","description":"Whether the subfolder is hidden","uniqueKey":"data.subFolders.items.[INDEX].hidden","typeLabel":"boolean"},"totalElements":{"type":"integer","description":"Total number of elements (snippets) in this folder","format":"int64","uniqueKey":"data.subFolders.items.[INDEX].totalElements","typeLabel":"integer\u003cint64>"},"totalFolders":{"type":"integer","description":"Total number of nested subfolders","format":"int64","uniqueKey":"data.subFolders.items.[INDEX].totalFolders","typeLabel":"integer\u003cint64>"}},"example":{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2},"uniqueKey":"data.subFolders.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.subFolders","typeLabel":"object[]"},"subFoldersTotal":{"type":"integer","description":"Total number of subfolders","format":"int64","uniqueKey":"data.subFoldersTotal","typeLabel":"integer\u003cint64>"}},"example":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"userUUID":"","subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3},"uniqueKey":"data","typeLabel":"object"}},"example":{"data":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3}}}},"exampleType":"generated"},"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"uuid":{"type":"string","description":"Unique identifier of the folder","uniqueKey":"data.uuid","typeLabel":"string"},"name":{"type":"string","description":"Name of the folder","uniqueKey":"data.name","typeLabel":"string"},"path":{"type":"string","description":"Full path to the folder from root","uniqueKey":"data.path","typeLabel":"string"},"parentUUID":{"type":"string","description":"UUID of the parent folder, empty if root","uniqueKey":"data.parentUUID","typeLabel":"string"},"hidden":{"type":"boolean","description":"Whether the folder is hidden","uniqueKey":"data.hidden","typeLabel":"boolean"},"userUUID":{"type":"string","description":"UUID of the user who owns this folder (for personal library folders)","uniqueKey":"data.userUUID","typeLabel":"string"},"organizationUUID":{"type":"string","description":"UUID of the organization this folder belongs to","uniqueKey":"data.organizationUUID","typeLabel":"string"},"subFolders":{"type":"array","description":"List of immediate subfolders","items":{"type":"object","properties":{"uuid":{"type":"string","description":"Unique identifier of the subfolder","uniqueKey":"data.subFolders.items.[INDEX].uuid","typeLabel":"string"},"name":{"type":"string","description":"Name of the subfolder","uniqueKey":"data.subFolders.items.[INDEX].name","typeLabel":"string"},"parentUUID":{"type":"string","description":"UUID of the parent folder","uniqueKey":"data.subFolders.items.[INDEX].parentUUID","typeLabel":"string"},"hidden":{"type":"boolean","description":"Whether the subfolder is hidden","uniqueKey":"data.subFolders.items.[INDEX].hidden","typeLabel":"boolean"},"totalElements":{"type":"integer","description":"Total number of elements (snippets) in this folder","format":"int64","uniqueKey":"data.subFolders.items.[INDEX].totalElements","typeLabel":"integer\u003cint64>"},"totalFolders":{"type":"integer","description":"Total number of nested subfolders","format":"int64","uniqueKey":"data.subFolders.items.[INDEX].totalFolders","typeLabel":"integer\u003cint64>"}},"example":{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2},"uniqueKey":"data.subFolders.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.subFolders","typeLabel":"object[]"},"subFoldersTotal":{"type":"integer","description":"Total number of subfolders","format":"int64","uniqueKey":"data.subFoldersTotal","typeLabel":"integer\u003cint64>"}},"example":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"userUUID":"","subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3},"uniqueKey":"data","typeLabel":"object"}},"example":{"data":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"uuid":"folder-uuid-root","name":"Sales Library","organizationUUID":"org-uuid-123","parentUUID":"","path":"/Sales Library","hidden":false,"subFolders":[{"uuid":"folder-uuid-sub-1","name":"Best Practices","parentUUID":"folder-uuid-root","hidden":false,"totalElements":15,"totalFolders":2}],"subFoldersTotal":3}}}},"exampleType":"generated"}},"exampleType":"generated"},"5ab7d099-d1e5-4e6a-bace-ff9d85db9253":{"description":"Authentication required. Please provide a valid API key.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"code":{"type":"string","description":"Error code","uniqueKey":"data.code","typeLabel":"string"},"message":{"type":"string","description":"Error message","uniqueKey":"data.message","typeLabel":"string"}},"example":{"code":"unauthorized","message":"Invalid or expired API key"},"uniqueKey":"data","typeLabel":"object"}},"example":{"code":401,"message":"unauthenticated for Invalid API key"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":401,"message":"unauthenticated for Invalid API key"}}},"exampleType":"generated"},"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"code":{"type":"string","description":"Error code","uniqueKey":"data.code","typeLabel":"string"},"message":{"type":"string","description":"Error message","uniqueKey":"data.message","typeLabel":"string"}},"example":{"code":"unauthorized","message":"Invalid or expired API key"},"uniqueKey":"data","typeLabel":"object"}},"example":{"code":401,"message":"unauthenticated for Invalid API key"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":401,"message":"unauthenticated for Invalid API key"}}},"exampleType":"generated"}},"exampleType":"generated"},"5342fbab-04a6-4ada-bbcf-63afe9f86143":{"description":"Unexpected server error. Please try again later.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","description":"A unique identifier for the error.","uniqueKey":"data.id","typeLabel":"string"},"status":{"type":"string","description":"The HTTP status code applicable to this problem, expressed as a string value.","uniqueKey":"data.status","typeLabel":"string"},"code":{"type":"string","description":"An application-specific error code, expressed as a string value.","uniqueKey":"data.code","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem.","uniqueKey":"data.title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"data.detail","typeLabel":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string","uniqueKey":"data.source.pointer","typeLabel":"string"},"parameter":{"type":"string","uniqueKey":"data.source.parameter","typeLabel":"string"}},"uniqueKey":"data.source","typeLabel":"object"},"meta":{"type":"object","properties":{},"uniqueKey":"data.meta","typeLabel":"object"}},"example":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}},"uniqueKey":"data","typeLabel":"object"}},"example":{"code":"500","detail":"An unexpected error occurred on the server. Please try again later or contact support if the problem persists.","id":"internal_server_error","title":"Internal Server Error"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"500","detail":"An unexpected error occurred on the server. Please try again later or contact support if the problem persists.","id":"internal_server_error","title":"Internal Server Error"}}},"exampleType":"generated"},"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","description":"A unique identifier for the error.","uniqueKey":"data.id","typeLabel":"string"},"status":{"type":"string","description":"The HTTP status code applicable to this problem, expressed as a string value.","uniqueKey":"data.status","typeLabel":"string"},"code":{"type":"string","description":"An application-specific error code, expressed as a string value.","uniqueKey":"data.code","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem.","uniqueKey":"data.title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"data.detail","typeLabel":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string","uniqueKey":"data.source.pointer","typeLabel":"string"},"parameter":{"type":"string","uniqueKey":"data.source.parameter","typeLabel":"string"}},"uniqueKey":"data.source","typeLabel":"object"},"meta":{"type":"object","properties":{},"uniqueKey":"data.meta","typeLabel":"object"}},"example":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}},"uniqueKey":"data","typeLabel":"object"}},"example":{"code":"500","detail":"An unexpected error occurred on the server. Please try again later or contact support if the problem persists.","id":"internal_server_error","title":"Internal Server Error"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"500","detail":"An unexpected error occurred on the server. Please try again later or contact support if the problem persists.","id":"internal_server_error","title":"Internal Server Error"}}},"exampleType":"generated"}},"exampleType":"generated"},"61442a9d-6f87-4fc5-b079-e6f5e1dd90f7":{"description":"Unexpected error","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"A unique identifier for the error.","uniqueKey":"id","typeLabel":"string"},"status":{"type":"string","description":"The HTTP status code applicable to this problem, expressed as a string value.","uniqueKey":"status","typeLabel":"string"},"code":{"type":"string","description":"An application-specific error code, expressed as a string value.","uniqueKey":"code","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem.","uniqueKey":"title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail","typeLabel":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string","uniqueKey":"source.pointer","typeLabel":"string"},"parameter":{"type":"string","uniqueKey":"source.parameter","typeLabel":"string"}},"uniqueKey":"source","typeLabel":"object"},"meta":{"type":"object","properties":{},"uniqueKey":"meta","typeLabel":"object"}},"example":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}}}},"exampleType":"generated"},"application/vnd.api+json":{"schema":{"type":"object","properties":{"id":{"type":"string","description":"A unique identifier for the error.","uniqueKey":"id","typeLabel":"string"},"status":{"type":"string","description":"The HTTP status code applicable to this problem, expressed as a string value.","uniqueKey":"status","typeLabel":"string"},"code":{"type":"string","description":"An application-specific error code, expressed as a string value.","uniqueKey":"code","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem.","uniqueKey":"title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"detail","typeLabel":"string"},"source":{"type":"object","properties":{"pointer":{"type":"string","uniqueKey":"source.pointer","typeLabel":"string"},"parameter":{"type":"string","uniqueKey":"source.parameter","typeLabel":"string"}},"uniqueKey":"source","typeLabel":"object"},"meta":{"type":"object","properties":{},"uniqueKey":"meta","typeLabel":"object"}},"example":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"not_found_error","status":"404","code":"404","title":"Not Found Error","detail":"The requested resource was not found","source":{"pointer":"/data/attributes/id"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"298d9b3f-c899-4449-aef6-deddb31bc737":{"APIKeyHeader":{"type":"apiKey","name":"Authorization","in":"header","scopes":[],"schemeName":"APIKeyHeader"}}},"servers":{"5c5cbd89-b89b-4d8b-8308-cb8c62190edd":{"url":"https://api.attention.tech/v2"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"Authorization","in":"header","scopes":[],"schemeName":"APIKeyHeader"},"schema":{"title":"Authorization","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKeyHeader","name":"Authorization"}],"title":"APIKeyHeader"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"attentiontech","siteName":"Attention Docs","title":"List Library Folder Structure - Attention Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-26T19:47:34.783Z","originalFileLocation":"/api-reference/library/list-library-folder-structure.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Attention Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Library Folder Structure - Attention Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Attention Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.attention.com/api-reference/library/list-library-folder-structure\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://attentiontech.mintlify.site/_mintlify/api/og/v2?division=Library\u0026amp;title=List+Library+Folder+Structure\u0026amp;description=Retrieves+the+folder+structure+for+the+library.+If+folderUUID+is+provided%2C+returns+only+the+direct+subfolders+of+that+folder.+If+folderUUID+is+not+provided%2C+ret\u0026amp;theme=e5c1403fad24dfff759580f7\u0026amp;signature=475ccb0f184dcb94e09dc19a0296cabb3de095464d2abdca5436301a3bf0315e\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Library Folder Structure - Attention Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the folder structure for the library. If folderUUID is provided, returns only the direct subfolders of that folder. If folderUUID is not provided, returns the root folder structure. This endpoint supports lazy loading of folder hierarchies for workflow builders.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://attentiontech.mintlify.site/_mintlify/api/og/v2?division=Library\u0026amp;title=List+Library+Folder+Structure\u0026amp;description=Retrieves+the+folder+structure+for+the+library.+If+folderUUID+is+provided%2C+returns+only+the+direct+subfolders+of+that+folder.+If+folderUUID+is+not+provided%2C+ret\u0026amp;theme=e5c1403fad24dfff759580f7\u0026amp;signature=475ccb0f184dcb94e09dc19a0296cabb3de095464d2abdca5436301a3bf0315e\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/attentiontech/FuboMWNs14Hlwhoo/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Attention Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4D32D3\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.attention.com/api-reference/library/list-library-folder-structure\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/library/list-library-folder-structure.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Attention Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Attention Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/welcome"}]},{"tab":"API Reference","groups":[{"group":"Authentication","pages":[{"title":"API Authentication","icon":"key","href":"/api-authentication"}]},{"group":"General Insights","pages":[{"title":"List GI History","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /gi/history","href":"/api-reference/general-insights/list-gi-history"}]},{"group":"Conversation","pages":[{"title":"List Conversations (Optimized)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /conversations/list","href":"/api-reference/conversation/list-conversations-optimized"},{"title":"List Conversations","deprecated":true,"version":null,"openapi":"/api-reference/openapi.json get /conversations","href":"/api-reference/conversation/list-conversations"},{"title":"Get Conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /conversations/{id}","href":"/api-reference/conversation/get-conversation"},{"title":"Update Conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /conversations/{id}","href":"/api-reference/conversation/update-conversation"},{"title":"Archive Conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /conversations/{id}","href":"/api-reference/conversation/archive-conversation"},{"title":"Change Conversation Privacy","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /conversations/{id}/change_privacy","href":"/api-reference/conversation/change-conversation-privacy"},{"title":"Generate Conversation Media Download URL","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /conversations/{id}/media/download","href":"/api-reference/conversation/generate-conversation-media-download-url"},{"title":"Get Signed Upload Conversation URL","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /conversations/upload-url","href":"/api-reference/conversation/get-signed-upload-conversation-url"},{"title":"Import Conversation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /conversations/import","href":"/api-reference/conversation/import-conversation"},{"title":"List Conversation Workflow Logs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /conversations/workflow-logs","href":"/api-reference/conversation/list-conversation-workflow-logs"},{"title":"Change Conversation Opportunity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /changeConversationOpportunity","href":"/api-reference/conversation/change-conversation-opportunity"},{"title":"Change Conversation Title","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /conversations/{id}/title","href":"/api-reference/conversation/change-conversation-title"},{"title":"Change Conversation Labels","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /conversations/{id}/labels","href":"/api-reference/conversation/change-conversation-labels"},{"title":"Confirm CRM Intelligence","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /conversations/{id}/crm/confirm","href":"/api-reference/conversation/confirm-crm-intelligence"},{"title":"Update Linked CRM Records","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /conversations/{id}/linked-crm-records","href":"/api-reference/conversation/update-linked-crm-records"},{"title":"Get Conversation by External ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /conversations/by-external-id/{externalId}","href":"/api-reference/conversation/get-conversation-by-external-id"},{"title":"Trigger Native Integration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /conversations/{id}/trigger-native-integration","href":"/api-reference/conversation/trigger-native-integration"}]},{"group":"Team","pages":[{"title":"List Teams","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /teams","href":"/api-reference/team/list-teams"},{"title":"Get Team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /teams/{id}","href":"/api-reference/team/get-team"},{"title":"Get Team Members","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /teams/{id}/members","href":"/api-reference/team/get-team-members"},{"title":"Update Team Opportunity","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /teams/{id}/opportunity","href":"/api-reference/team/update-team-opportunity"}]},{"group":"API Key","pages":[{"title":"List API Keys","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api_keys","href":"/api-reference/api-key/list-api-keys"},{"title":"Create API Key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api_keys","href":"/api-reference/api-key/create-api-key"},{"title":"Delete API Key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api_keys","href":"/api-reference/api-key/delete-api-key"}]},{"group":"User","pages":[{"title":"List Users","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /users","href":"/api-reference/user/list-users"}]},{"group":"Email","pages":[{"title":"List email templates","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /email-templates","href":"/api-reference/email/list-email-templates"},{"title":"List emails","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /emails","href":"/api-reference/email/list-emails"}]},{"group":"Tool","pages":[{"title":"Create Snippet","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /snippets","href":"/api-reference/tool/create-snippet"},{"title":"Ask Attention","deprecated":true,"version":null,"openapi":"/api-reference/openapi.json post /ask_attention","href":"/api-reference/tool/ask-attention"},{"title":"Ask Attention V2","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /ask_attention/v2","href":"/api-reference/tool/ask-attention-v2"},{"title":"Create Deck","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /create_deck","href":"/api-reference/tool/create-deck"},{"title":"Get Usage Report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /usageReport","href":"/api-reference/tool/get-usage-report"},{"title":"Get Connection Report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /connectionReport","href":"/api-reference/tool/get-connection-report"}]},{"group":"Scorecard","pages":[{"title":"Create Scorecard Result","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /createScorecardResult","href":"/api-reference/scorecard/create-scorecard-result"},{"title":"Get Scorecards Summary","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /scorecards/summary","href":"/api-reference/scorecard/get-scorecards-summary"},{"title":"List Scorecards","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scorecards","href":"/api-reference/scorecard/list-scorecards"},{"title":"Create Scorecard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /scorecards","href":"/api-reference/scorecard/create-scorecard"},{"title":"Get Scorecard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scorecards/{id}","href":"/api-reference/scorecard/get-scorecard"},{"title":"Update Scorecard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /scorecards/{id}","href":"/api-reference/scorecard/update-scorecard"},{"title":"List Scorecard Items","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scorecards/{id}/items","href":"/api-reference/scorecard/list-scorecard-items"},{"title":"Create Scorecard Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /scorecards/{id}/items","href":"/api-reference/scorecard/create-scorecard-item"},{"title":"Get Scorecard Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scorecards/{id}/items/{itemId}","href":"/api-reference/scorecard/get-scorecard-item"},{"title":"Delete Scorecard Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /scorecards/{id}/items/{itemId}","href":"/api-reference/scorecard/delete-scorecard-item"},{"title":"Update Scorecard Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /scorecards/{id}/items/{itemId}","href":"/api-reference/scorecard/update-scorecard-item"}]},{"group":"Organization","pages":[{"title":"List Organization Users","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /organizations/users","href":"/api-reference/organization/list-organization-users"},{"title":"Create User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /organizations/users","href":"/api-reference/organization/create-user"},{"title":"Delete User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /organizations/users/{userId}","href":"/api-reference/organization/delete-user"},{"title":"Update User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /organizations/users/{userId}","href":"/api-reference/organization/update-user"},{"title":"List Teams","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /organizations/teams","href":"/api-reference/organization/list-teams"},{"title":"Create Team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /organizations/teams","href":"/api-reference/organization/create-team"},{"title":"Update Team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /organizations/teams/{teamId}","href":"/api-reference/organization/update-team"},{"title":"List Roles","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /organizations/roles","href":"/api-reference/organization/list-roles"}]},{"group":"Calendar","pages":[{"title":"List Calendar Events","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /calendar_events/{user_uuid}","href":"/api-reference/calendar/list-calendar-events"}]},{"group":"Chat","pages":[{"title":"List Chats","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /chats","href":"/api-reference/chat/list-chats"}]},{"group":"Scim","pages":[{"title":"Get SCIM Service Provider Config","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scim/ServiceProviderConfigs","href":"/api-reference/scim/get-scim-service-provider-config"},{"title":"List SCIM Users","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scim/Users","href":"/api-reference/scim/list-scim-users"},{"title":"Create SCIM User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /scim/Users","href":"/api-reference/scim/create-scim-user"},{"title":"Get SCIM User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scim/Users/{id}","href":"/api-reference/scim/get-scim-user"},{"title":"Update SCIM User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /scim/Users/{id}","href":"/api-reference/scim/update-scim-user"},{"title":"Patch SCIM User","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /scim/Users/{id}","href":"/api-reference/scim/patch-scim-user"},{"title":"List SCIM Groups","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scim/Groups","href":"/api-reference/scim/list-scim-groups"},{"title":"Create SCIM Group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /scim/Groups","href":"/api-reference/scim/create-scim-group"},{"title":"Get SCIM Group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /scim/Groups/{id}","href":"/api-reference/scim/get-scim-group"},{"title":"Update SCIM Group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /scim/Groups/{id}","href":"/api-reference/scim/update-scim-group"},{"title":"Patch SCIM Group","description":"Partially updates a group using SCIM patch semantics.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /scim/Groups/{id}","href":"/api-reference/scim/patch-scim-group"}]},{"group":"Library","pages":[{"title":"List Library Folder Structure","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /library/folders","href":"/api-reference/library/list-library-folder-structure"}]},{"group":"Super Agent","pages":[{"title":"Send Super Agent Message","description":"Sends a message to the super agent. If session_id is not provided, creates a new session. Returns synchronously if completed within 15 seconds, otherwise returns 202 Accepted with session ID for polling. Optionally accepts a callback_url for webhook notification when the assistant response is ready.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /super-agent/messages","href":"/api-reference/super-agent/send-super-agent-message"},{"title":"List Super Agent Sessions","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /super-agent/sessions","href":"/api-reference/super-agent/list-super-agent-sessions"},{"title":"Get Super Agent Session History","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /super-agent/sessions/{sessionId}/messages","href":"/api-reference/super-agent/get-super-agent-session-history"},{"title":"Delete Super Agent Session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /super-agent/sessions/{sessionId}","href":"/api-reference/super-agent/delete-super-agent-session"}]},{"group":"CRM","pages":[{"title":"Execute CRM Query","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /crm/query","href":"/api-reference/crm/execute-crm-query"}]},{"group":"Integration","pages":[{"title":"List Integration Workflows","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /integration-workflows","href":"/api-reference/integration/list-integration-workflows"}]},{"group":"Knowledge Base","pages":[{"title":"List KB Sources","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /knowledge-base/sources","href":"/api-reference/knowledge-base/list-kb-sources"},{"title":"Create KB Source","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /knowledge-base/sources","href":"/api-reference/knowledge-base/create-kb-source"},{"title":"Get KB Source","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /knowledge-base/sources/{sourceId}","href":"/api-reference/knowledge-base/get-kb-source"},{"title":"Delete KB Source","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /knowledge-base/sources/{sourceId}","href":"/api-reference/knowledge-base/delete-kb-source"},{"title":"Update KB Source","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /knowledge-base/sources/{sourceId}","href":"/api-reference/knowledge-base/update-kb-source"},{"title":"Request KB Source Upload URL","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /knowledge-base/sources/upload","href":"/api-reference/knowledge-base/request-kb-source-upload-url"},{"title":"Confirm KB Source Upload","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /knowledge-base/sources/{sourceId}/confirm-upload","href":"/api-reference/knowledge-base/confirm-kb-source-upload"}]},{"group":"Label","pages":[{"title":"List Labels","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /labels","href":"/api-reference/label/list-labels"},{"title":"Create Label","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /labels","href":"/api-reference/label/create-label"},{"title":"Get Label","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /labels/{id}","href":"/api-reference/label/get-label"},{"title":"Delete Label","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /labels/{id}","href":"/api-reference/label/delete-label"},{"title":"Update Label","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /labels/{id}","href":"/api-reference/label/update-label"}]},{"group":"Field Configuration","pages":[{"title":"List Field Configurations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /field-configurations","href":"/api-reference/field-configuration/list-field-configurations"},{"title":"Create Field Configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /field-configurations","href":"/api-reference/field-configuration/create-field-configuration"},{"title":"Get Field Configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /field-configurations/{id}","href":"/api-reference/field-configuration/get-field-configuration"},{"title":"Delete Field Configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /field-configurations/{id}","href":"/api-reference/field-configuration/delete-field-configuration"},{"title":"Update Field Configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /field-configurations/{id}","href":"/api-reference/field-configuration/update-field-configuration"},{"title":"List Field Configuration Items","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /field-configurations/{id}/items","href":"/api-reference/field-configuration/list-field-configuration-items"},{"title":"Create Field Configuration Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /field-configurations/{id}/items","href":"/api-reference/field-configuration/create-field-configuration-item"},{"title":"Get Field Configuration Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /field-configurations/{id}/items/{itemId}","href":"/api-reference/field-configuration/get-field-configuration-item"},{"title":"Delete Field Configuration Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /field-configurations/{id}/items/{itemId}","href":"/api-reference/field-configuration/delete-field-configuration-item"},{"title":"Update Field Configuration Item","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /field-configurations/{id}/items/{itemId}","href":"/api-reference/field-configuration/update-field-configuration-item"}]},{"group":"RecorderMetrics","pages":[{"title":"List Recorder Meetings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /recorder_metrics/all_meetings","href":"/api-reference/recordermetrics/list-recorder-meetings"}]},{"group":"Proactive","pages":[{"title":"List Actions","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /actions","href":"/api-reference/proactive/list-actions"},{"title":"Dismiss Action","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /actions/{action_uuid}/dismiss","href":"/api-reference/proactive/dismiss-action"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/change-log"}]}]},"basePath":"","title":"List Library Folder Structure - Attention Docs","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}